%global pkg_name glade

%global common_summary Haskell %{pkg_name} library

%global common_description A %{pkg_name} library binding for Haskell.

%global ghc_pkg_deps ghc-gtk-devel

%global ghc_pkg_c_deps libglade2-devel

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.11.1
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.8.1
%if %{with hscolour}
BuildRequires:  hscolour
%endif
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}
BuildRequires:  gtk2hs-buildtools

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%{?ghc_lib_package}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
rm -rf $RPM_BUILD_ROOT
%ghc_lib_install

# move demos
rm -r $RPM_BUILD_ROOT%{_datadir}/%{pkg_name}-%{version}
echo %doc demo >> %{name}-devel.files


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Oct  7 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-2
- buildrequires gtk2hs-buildtools (#633194)
- correct the license tag

* Mon Sep 13 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-1
- LGPLv2+
- BR ghc-gtk-devel and libglade2-devel
- move demo files to doc

* Mon Sep 13 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.11.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
